DICOMTODICOM(1)

NAME
dicomtodicom - vtk-dicom CLI

DESCRIPTION

  usage:

    dicomtodicom -o directory file.dcm ...

  options:

-o directory
    The output directory.

-s --silent
    Do not print anything while executing.

-v --verbose
    Verbose error reporting.

--resample
    Resample to produce square pixels.

--axial
    Produce axial slices.

--coronal
    Produce coronal slices.

--sagittal
    Produce sagittal slices.

--series-description
    Textual description of the series.

--series-number
    The series number to use.

--modality
    The modality: MR or CT or SC.

--uid-prefix
    A DICOM uid prefix (optional).

--version
    Print the version and exit.

--help
    Documentation for dicomtodicom.

This program allows adjustment of a DICOM series.

In its most basic functionality, this command reads a DICOM series and then writes it out with a new UID. It strips out any meta data that is not recognized as part of the SOP class that it is writing. In other words, its main purpose is to coerce the data to fit the requested SOP class.

Currently, only three output SOP classes can be written: Secondary Capture, CT, and MR. Enhanced CT and Enhanced MR cannot be written, but they can be read, therefore this program can be used to convert enhanced single-file CT and MR DICOM into a series of DICOM files.

The written data has the ImageType set to DERIVED\SECONDARY\OTHER and has a new series number and name. It isn't meant to replace the original data, it is simply meant to coerce the data into a format that might be more compatible with other software.

Reformatting of the data (MPR) is permitted during the conversion. This is an experimental feature and causes most per-instance meta data to be discarded. Reformatting can be combined with resampling to produce an output with square pixels via Lanczos interpolation.

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.